The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get List of Interfaces Allocated to a Sensor Inside a Domain

Prev Next

This URL gets interfaces allocated to a Sensor inside a domain.

Resource URL

GET /domain/<domain_id>/sensor/<sensor_id>/allocatedinterfaces

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain ID Number Yes
sensor_id Sensor ID Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
AllocatedInterfaceList Array of type allocated interface list Array

Details of fields in allocated interface list:

Field Name Description Data Type
interfaceId Interface id Number
interfaceName Interface name String
interfaceType Interface Type String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/domain/103/sensor/1001/allocatedinterfaces

Response

{
       "allocatedInterfaceList":
       [
           {
               "interfaceName": "2A-2B",
               "interfaceId": 173,
               "interfaceType": "Vlan"
           },
           {
               "interfaceName": "4A-4B",
               "interfaceId": 113,
               "interfaceType": "Dedicated"
           }
       ]
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 404 1106 Invalid Sensor